Page MenuHomePhabricator

copies-rust: make the comparison aware of the revision being current merged
ClosedPublic

Authored by marmoute on Dec 2 2020, 11:03 AM.

Details

Summary

This make no significant performance change in practice (all ±2%) in practice,
but it will help us to distinct between some semantically different cases later
on.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 2 2020, 11:03 AM
baymax updated this revision to Diff 23962.Dec 2 2020, 1:19 PM
Alphare accepted this revision.Dec 14 2020, 4:56 AM
marmoute updated this revision to Diff 24221.Dec 14 2020, 6:17 AM
baymax updated this revision to Diff 24242.Dec 14 2020, 7:48 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24359.Dec 17 2020, 3:47 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 18 2020, 7:40 AM
This revision is now accepted and ready to land.Dec 18 2020, 7:40 AM